package cn.com.qmth.examcloud.web.reports;

import java.util.List;

import com.google.common.collect.Lists;

import cn.com.qmth.examcloud.commons.util.ThreadLocalUtil;

/**
 * 报表数据收集器工具
 *
 * @author WANGWEI
 * @date 2018年11月13日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ReportsCollector {

	/**
	 * 采集数据
	 *
	 * @author WANGWEI
	 * @param report
	 */
	public static void collect(BaseReport report) {
		ThreadLocalUtil.set("$_HAS_COLLECTED", true);
		String key = "$_REPORT_COLLECTIONS";
		@SuppressWarnings("unchecked")
		List<BaseReport> reportList = (List<BaseReport>) ThreadLocalUtil.get(key);
		if (null == reportList) {
			reportList = Lists.newArrayList();
			ThreadLocalUtil.set(key, reportList);
		}
		reportList.add(report);
	}

}
