package cn.com.qmth.examcloud.web.support;

/**
 * 全局响应状态
 *
 * @author WANGWEI
 * @date 2018年5月26日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum ResponseStatus {

	/**
	 * 成功
	 */
	OK("200", "成功"),

	/**
	 * 系统异常
	 */
	SERVER_ERROR("500", "系统异常"),

	/**
	 * 违反数据完整性约束
	 */
	DATA_INTEGRITY_VIOLATION("520", "违反数据完整性约束"),

	/**
	 * 致命错误
	 */
	FATAL_ERROR("555", "系统繁忙");

	// ===========================================================================

	/**
	 * 码
	 */
	private String code;

	/**
	 * 描述
	 */
	private String desc;

	/**
	 * 构造函数
	 *
	 * @param code
	 * @param desc
	 */
	private ResponseStatus(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	/**
	 * @return the code
	 */
	public String getCode() {
		return code;
	}

	/**
	 * @return the desc
	 */
	public String getDesc() {
		return desc;
	}

}
